Scala Compiler2.12.2-20170504-135222-21d12e9 < Back
 

# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package interpreter

  The main REPL related classes and values are as follows.

  The main REPL related classes and values are as follows. In addition to standard compiler classes Global and Settings, there are:

  History: an interface for session history. Completion: an interface for tab completion. ILoop (formerly InterpreterLoop): The umbrella class for a session. IMain (formerly Interpreter): Handles the evolving state of the session and handles submitting code to the compiler and handling the output. InteractiveReader: how ILoop obtains input. History: an interface for session history. Completion: an interface for tab completion. Power: a repository for more advanced/experimental features.

  ILoop contains { in: InteractiveReader, intp: IMain, settings: Settings, power: Power } InteractiveReader contains { history: History, completion: Completion } IMain contains { global: Global }

  Definition Classes
    nsc
-  package session

  Files having to do with the state of a repl session: lines of text entered, types and terms defined, etc.

  Files having to do with the state of a repl session: lines of text entered, types and terms defined, etc.

  Definition Classes
    interpreter
- AbstractFileClassLoader
- AbstractOrMissingHandler
- CommandLine
- Completion
- Delimited
- EchoReader
- ExprTyper
- Formatting
- ILoop
- IMain
- IMainOps
- ISettings
- Imports
- InteractiveReader
- Javap
- JavapClass
- Logger
- LoopCommands
- MemberHandlers
- NamedParam
- NamedParamClass
- NamedParamCreator
- Naming
- NoCompletion
- NoJavap
- Parsed
- Pasted
- Phased
- Power
- PresentationCompilation
- PresentationCompilerCompleter
- ProcessResult
- ReplConfig
- ReplDir
- ReplGlobal
- ReplOutput
- ReplProps
- ReplReporter
- ReplStrings
- ReplVals
- Results
- RichClass
- Scripted
- SimpleReader
- SplashLoop
- SplashReader
- StdReplTags
- StdReplVals
- Tabulator
- TapMaker
- VariColumnTabulator
- WriterOutputStream

c

scala.tools.nsc.interpreter

# Parsed 

###
Companion object Parsed

#### class Parsed extends Delimited

One instance of a command buffer.

Source
  Parsed.scala

Linear Supertypes
Delimited, AnyRef, Any
Type Hierarchy
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Parsed
2. Delimited
3. AnyRef
4. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from Parsed to any2stringadd[Parsed] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (Parsed, B)
   Implicit
     This member is added by an implicit conversion from Parsed to ArrowAssoc[Parsed] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  def args: collection.immutable.List[String]
7.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
8.  val buffer: String
9.  def bufferHead: String
10.  def bufferTail: Parsed
11.  def clone(): AnyRef
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
12.  def currentArg: String
13.  def currentChar: Char
14.  val cursor: Int
15.  val delimited: (Char) ⇒ Boolean
    Definition Classes
      Parsed → Delimited
16.  def ensuring(cond: (Parsed) ⇒ Boolean, msg: ⇒ Any): Parsed
    Implicit
      This member is added by an implicit conversion from Parsed to Ensuring[Parsed] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
17.  def ensuring(cond: (Parsed) ⇒ Boolean): Parsed
    Implicit
      This member is added by an implicit conversion from Parsed to Ensuring[Parsed] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
18.  def ensuring(cond: Boolean, msg: ⇒ Any): Parsed
    Implicit
      This member is added by an implicit conversion from Parsed to Ensuring[Parsed] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
19.  def ensuring(cond: Boolean): Parsed
    Implicit
      This member is added by an implicit conversion from Parsed to Ensuring[Parsed] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
20.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
21.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
22.  def escapeChars: List[Char]
    Definition Classes
      Delimited
23.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
24.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from Parsed to StringFormat[Parsed] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
25.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
26.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
27.  def headLength: Int
28.  def isAtStart: Boolean
29.  def isDelimiter: Boolean
30.  def isDelimiterChar(ch: Char): Boolean
    Definition Classes
      Delimited
31.  def isEmpty: Boolean
32.  def isEscapeChar(ch: Char): Boolean
    Definition Classes
      Delimited
33.  def isEscaped: Boolean
34.  def isFirstDelimiter: Boolean
35.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
36.  def isLastDelimiter: Boolean
37.  def isQuoted: Boolean
38.  def isUnqualified: Boolean
39.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
40.  final def notify(): Unit
    Definition Classes
      AnyRef
41.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
42.  def position: Int
43.  def prev: Parsed
44.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
45.  def toArgs(s: String): List[String]

    Break String into args based on delimiting function.

    Break String into args based on delimiting function.

    Attributes
      protected
    Definition Classes
      Delimited
46.  def toString(): String
    Definition Classes
      Parsed → AnyRef → Any
47.  def verbosity: Int
48.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
49.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
50.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
51.  def withVerbosity(v: Int): Parsed.this.type
52.  def →[B](y: B): (Parsed, B)
    Implicit
      This member is added by an implicit conversion from Parsed to ArrowAssoc[Parsed] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from Delimited

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from Parsed to any2stringadd[Parsed]

### Inherited by implicit conversion StringFormat from Parsed to StringFormat[Parsed]

### Inherited by implicit conversion Ensuring from Parsed to Ensuring[Parsed]

### Inherited by implicit conversion ArrowAssoc from Parsed to ArrowAssoc[Parsed]

### Ungrouped